Directory Traversal

Affecting jikes package, ALL versions

high severity

Overview

jikes is web framework for beginners.

Affected versions of the package are vulnerable to Directory Traversal, which may allow access to sensitive files and data on the server. For example, requesting the following url /..%2f..%2fetc/passwd would result in /etc/passwd leak.

Thanks to Liang Gong for disclosing this vulnerability!

Disclosure Timeline

  • May 21st, 2017 - Disclosed to package owner
  • May 22nd, 2017 - Issue acknowledged by package owner.

Remediation

There is no fix version for jikes.

References

Do your applications use this vulnerable package?

Credit
Liang Gong
CWE
CWE-22
Snyk ID
npm:jikes:20170518
Disclosed
18 May, 2017
Published
12 Jun, 2017